Dist::Zilla::Role::MetaProvider(3)

NAME
Dist::Zilla::Role::MetaProvider - something that provides metadata (for META.yml/json)

VERSION
version 4.300016

DESCRIPTION
This role provides data to merge into the distribution metadata.

METHODS

  metadata
This method (which must be provided by classes implementing this role) returns a hashref of data to be (deeply) merged together with pre-existing metadata.

SEE ALSO
Core Dist::Zilla plugins implementing this role: ConfigMeta. MetaNoIndex.

Dist::Zilla plugins on the CPAN: GithubMeta...

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.